﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Web.UserControls;

namespace Web
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //CreateReports();
        }

        protected void btnGenerarInforme_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            CreateReports();
        }

        private void CreateReports()
        {
            IEnumerable<int> teams = null;

            if (String.IsNullOrEmpty(ddlTeam.Value))
            {
                ModelState.AddModelError("", "Debe seleccionar almenos algún Team para generar el informe");
                return;
            }

            teams = ddlTeam.Value.Split(',').Where((valor) => Int32.Parse(valor) > 0).Select(Int32.Parse).ToArray<int>();

            tabInformes.Items.Clear();

            CrearTabs(teams);

            tabInformes.Visible = true;
        }

        private void CrearTabs(IEnumerable<int> teams)
        {
            foreach (int team in teams)
            {
                var tabTeam = CrearTabTeam(team);
                tabInformes.Items.Add(tabTeam);
            }

        }

        private TabItem CrearTabTeam(int team)
        {
            TabItem tab = new TabItem();
            tab.Text = team.ToString();
            tab.ID = team.ToString();
            var diTeam = (DatosInformeGasTeam)LoadControl("~/UserControls/DatosInformeGasTeam.ascx");
            diTeam.GenerarInformes(team);
            tab.ContentSection.Controls.Add(diTeam);
            return tab;
        }

    }
}