﻿using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Web.UserControls
{
    public partial class DatosInformeGasTeam : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        public void GenerarInformes(int team)
        {
            gridOperacionesTerminadasTipoOperacion.DataSource = LoadData(team);
            gridOperacionesTerminadasTipoOperacion.DataBind();

        }

        private List<Report> LoadData(int team)
        {
            List<Report> lstReports = new List<Report>();

            lstReports.Add(new Report(1, "Altas", 10, 5, 75));
            lstReports.Add(new Report(1, "Bajas", 20, 55, 20));
            lstReports.Add(new Report(2, "Altas", 30, 50, 35));
            lstReports.Add(new Report(2, "Bajas", 40, 70, 75));
            lstReports.Add(new Report(3, "Altas", 50, 65, 55));
            lstReports.Add(new Report(3, "Bajas", 60, 95, 45));
            lstReports.Add(new Report(4, "Altas", 70, 55, 35));
            lstReports.Add(new Report(4, "Bajas", 80, 15, 25));

            return lstReports.Where(x => x.IdTeam == team).ToList<Report>();

        }


        #region Exportacion a excel

        protected void gridOperacionesTerminadasTipoOperacion_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            exp.Export(gridOperacionesTerminadasTipoOperacion.Model, (IEnumerable)gridOperacionesTerminadasTipoOperacion.DataSource, "Export.xlsx", ExcelVersion.Excel2013, false, true, "default-theme");
        }


        #endregion
    }
}